#include "det.h"


Det_ErrorType Reported_Error;
uint8 Lin_FxnId;


uint8 Det_ReportError(uint16 ModuleId, uint8 InstanceId, uint8 ApiId, uint8 ErrorId)
{
   volatile uint8 i = 0;
   i++;
	Lin_FxnId = ErrorId;

   Reported_Error.Det_ModuleId = ModuleId;
   Reported_Error.Det_InstanceId = InstanceId;
   Reported_Error.ApiId = ApiId;
   Reported_Error.Det_ErrorId = ErrorId;

   return i;
}

